//matchBodyArea(getHitbox(stuff, list));

$headTest = "plume triPlume septPlume visor helmet pointyHelmet flareHelmet scoutHat bicorn copHat knitHat headSkin";
$chestTest = "chest femchest armor bucket cape quiver tank";
$legTest = "lshoe rshoe lpeg rpeg pants skirtHip";
$armTest = "lhand rhand lhook rhook larm rarm";

function matchBodyArea(%list, %test)
{
	%list = "\t"@%list@"\t";
	%words = getWordCount(%test);
	for(%i=0;%i<%words;%i++)
	{
		%word = "\t"@getWord(%test,%i)@"\t";
		if(striPos(%list, %word) >= 0)
			return 1;
	}
	return 0;
}

function Player::getLastImpactPosition(%this)
{ return $_detectHitboxPosition; }

function getLastImpactPosition()
{ return $_detectHitboxPosition; }

function getHitbox(%obj, %col, %pos)
{
	$_detectHitboxActive = 1;
	$_detectHitboxList = "";
	$_detectHitboxPosition = %pos;
	PaintProjectile::onCollision("", %obj, %col, "", %pos, "");
	cancel(%col.tempColorSchedule);
	%list = trim($_detectHitboxList);
	deleteVariables("$_detectHitbox*");
	if((%col.getType() & $Typemasks::PlayerObjectType) && isObject(%cl = %col.client))
	{
		%cl.applyBodyColors();
		%cl.applyBodyParts();
	}
	return %list;
}

package hitboxDetection
{
	function ShapeBase::setNodeColor(%this, %node, %color)
	{
		if($_detectHitboxActive)
		{
			$_detectHitboxList = trim($_detectHitboxList TAB %node);
			return;
		}
		Parent::setNodeColor(%this, %node, %color);
	}
};
activatePackage("hitboxDetection");